Pull a watermark-bounded forward page of events (cursor-pull tail)
curl --request GET \
--url https://api.webhook.co/v1/endpoints/{endpointId}/events/tail \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.webhook.co/v1/endpoints/{endpointId}/events/tail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/endpoints/{endpointId}/events/tail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/endpoints/{endpointId}/events/tail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"provider": "stripe",
"dedupKey": "<string>",
"dedupStrategy": "sw_webhook_id",
"verified": true,
"verificationState": "verified"
}
],
"nextCursor": "<string>",
"headCursor": "<string>",
"caughtUp": true,
"lag": {
"backlogCount": 4503599627370495,
"headLagMs": 4503599627370495
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Events
Pull a watermark-bounded forward page of events (cursor-pull tail)
GET
/
v1
/
endpoints
/
{endpointId}
/
events
/
tail
Pull a watermark-bounded forward page of events (cursor-pull tail)
curl --request GET \
--url https://api.webhook.co/v1/endpoints/{endpointId}/events/tail \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.webhook.co/v1/endpoints/{endpointId}/events/tail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/endpoints/{endpointId}/events/tail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/endpoints/{endpointId}/events/tail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"provider": "stripe",
"dedupKey": "<string>",
"dedupStrategy": "sw_webhook_id",
"verified": true,
"verificationState": "verified"
}
],
"nextCursor": "<string>",
"headCursor": "<string>",
"caughtUp": true,
"lag": {
"backlogCount": 4503599627370495,
"headLagMs": 4503599627370495
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Authorizations
A whk_-prefixed API key (opaque; not a JWT).
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Opaque cursor to resume from (mutually exclusive with since).
Server-resolved grammar: now | beginning | | .
Was this page helpful?